## Work Experience
### Neon Gecko Inc.
Software Developer, Developer Relations Manager, Lead Hardware Developer

December 2017 – Present. Responsibilities Include:
- Managing multiple projects and work from individual contributors, one-off contractors, and long-term contract workers
- Working with management and developers to develop roadmaps, set timelines, and spec projects
- Extensive Python programming
- Extensive GitOps and workflow design, automation, and management
- Being fluent in voice assistant concepts and technologies
- Having a strong understanding of LLM technologies and model fine-tuning
- Deploying and maintaining infrastructure with Kubernetes, XCP-ng, and various cloud providers
- Kotlin for Android app development and Google Play Store publication
### Best Buy/Geek Squad
Consultation Agent, Sales Associate

November 2015 - December 2017
- Experience with Windows and Mac system administration, troubleshooting, and repair

## Projects
- Professional open-source work can be found at: https://github.com/neondaniel
- Documentation I wrote for much of my professional work: https://neongeckocom.github.io/neon-docs/
- A selection of small projects are documented on my blog: https://blog.mcknight.tech/

## Technologies
### Languages
- Python
- SQL
- MongoDb
- Kotlin
### Frameworks
- Git and GitHub
- FastAPI
- SocketIO
- Sentry
- Kubernetes

## Education
### University of Washington
Bachelor of Science in Physics, June 2018

Secretary, Physics Club at UW Bothell

### Bellevue College
Associate of Science in Engineering, June 2016

Member, Phi Theta Kappa Honors Society

### Mercer Island High School
High School Diploma, June 2012

Recipient, Washington State Honors Award
